Page MenuHomePhabricator

CentralAuth: allow renaming of global groups
Closed, ResolvedPublic

Description

Enhacement request. Please allow renaming of global groups. The only way of doing it right now is by removing all permissions of the group and recreating it under a new name, having later to move all users from one group to the another. Thank you!


Version: unspecified
Severity: enhancement
URL: https://meta.wikimedia.org/wiki/Special:GlobalGroupPermissions

Details

Reference
bz27551

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 11:23 PM
bzimport set Reference to bz27551.

Gerrit change 51786

Hoo man also did this in Gerrit change 53123, abandoned my change and reassigned this bug to him.

I don't know if the proposed code already does it, but please note that if a global group is renamed the users in the renamed global group should pass from the former group to the new. Best regards.

hoo added a comment.Mar 11 2013, 8:36 PM

(In reply to comment #4)

I don't know if the proposed code already does it, but please note that if a
global group is renamed the users in the renamed global group should pass
from
the former group to the new. Best regards.

Sure, that's part of my proposed change.

hoo added a comment.Mar 12 2013, 9:40 PM

Chris merged my change.

Problem:

  • 10:27, 28 March 2013 MarcoAurelio (talk | contribs | block) renamed group API_High_Limit_Requestor to Special:GlobalGroupPermissions/Apihighlimits-requestor (standardize global group names/testing new feature)

The feature capitalizes the first letter, which was not desired. All db groups are in lowercase. Can that be fixed, please?

Best regards.

Also, it'd be good if past log history of the global group weren't lost. At https://meta.wikimedia.org/wiki/Special:GlobalGroupPermissions/Apihighlimits-requestor there's only logged the change of today, but the log history of when the user was called API_High_Limits_Requestor isn't logged in the new page; you have to search it manually in the logs.